<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Bid extends Model
{
    use HasFactory, SoftDeletes;

    protected $casts = [
        'price' => 'float'
    ];

    public function company()
    {
        return $this->belongsTo(Company::class, 'company_id');
    }
}
