<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;

    public function setPriceAttribute($price)
    {
        $this->attributes['price'] = trim($price) == '' ? null : trim($price);
    }
}
