@if($column['hidden'])
@else
    <div class="relative table-cell h-10 overflow-hidden align-top">
        <button wire:click.prefetch="sort('{{ $index }}')" class="w-full h-full px-6 py-2 border-b border-blue-900 bg-blue-900 text-left text-xs leading-4 font-medium text-white uppercase tracking-wider flex items-center focus:outline-none @if($column['align'] === 'right') flex justify-end @elseif($column['align'] === 'center') flex justify-center @endif">
            <span class="inline ">{{ str_replace('_', ' ', $column['label']) }}</span>
            <span class="inline text-xs text-blue-400">
            @if($sort === $index)
                    @if($direction)
                        <x-icons.chevron-up wire:loading.remove class="h-6 w-6 ml-2 text-gray-200 stroke-current" />
                    @else
                        <x-icons.chevron-down wire:loading.remove class="h-6 w-6 ml-2 text-gray-200 stroke-current" />
                    @endif
                @endif
        </span>
        </button>
    </div>
@endif
